HOST(1)

NAME
host - remote virtual terminal/fileserver for standalone program development

SYNOPSIS
host [ ttyname ] [ options ]

DESCRIPTION
Host will act as a virtual terminal and remote file server for the standalone programs. It talks to the user at his terminal, and uses the environment variable HOSTPORT as the default terminal port to work with. If the user wishes to override the HOSTPORT variable, or does not have it set, he may specify the terminal port as ttyname. Note: For backward compatibility, if the user does not have HOSTPORT set but does have a DDTPORT environment variable, host will use that.

Options:

-b baud
    Set the remote port baud rate. All other port characteristics are always set.

-ec Change escape character to `c'. The normal escape character is the '~'.

-f runfile
    Read input from file. This takes the stdin from the named file. When the file is exhausted, input switches back to the control terminal. The runfile has a special format.

-m  Remote has MMU. For use with DB16K boards with MMU installed. Host has the capability of interacting with DBMON, and this informs host to expect an MMU. (The SCED board has no MMU, so leave this off when talking to a DYNIX system.)

-n  No lock file. Normally, host cooperates with tip(1C) and uucp(1C) locking protocols. This option tells it not to create the lock file indicating the port is in use.

-r  No remote file server. The remote file server is started remotely by escape sequences. If these escape sequences occur in text then host will erroneously go into the remote file server mode. Using -r entirely disables the remote file server, and requests will be ignored.

-s script
    Start script file. The default is no script file but host can be started with a script file.

There are also several escape commands while in virtual terminal mode:

~?  List of all of the escape commands available.

~.  Terminate host.

~!  Spawn off a subshell.

~|  Script to pipe (not implemented).

~#  Send break.

~>  Send file to remote.

~b  Toggle buffering of script.

~d  Packet debug toggle.

~e  Toggle local echo.

~f  Read runfile (same as -f option).

~l  Load file: the file must be in a.out(5) format.

~p  Change maximum packet size.

~r  Toggle remote server (toggles -r option).

~s  Toggle script (toggles -s option).

~v  Virtual escape: list of chars normally escaped in the remote file server mode.

Host can handle certain file server requests from a running program. These are similar to a normal DYNIX syscalls for open, read, write, close, and lseek. These are available to standalone programs in the form of the ``rs'' driver. The calls available are:
    int open(name, mode)
    int read(fd, buf, count)
    int write(fd, buf, count)
    int lseek(fd, offset, whence)
    int close(fd)

There are also two other calls available in the protocol which are not currently implemented in the ``rs'' driver.

    scriptfile(name)
        turn on scripting

    noscript()
        turn off scripting

SEE ALSO
tip(1C), remote(5)